class AppUpdateConfig {
  AppUpdateConfig({
    required this.version,
    required this.versionCode,
    required this.linkUpdate,
    required this.adminLink,
  });

  factory AppUpdateConfig.fromJson(Map<String, dynamic> json) {
    return AppUpdateConfig(
      version: json['version']?.toString() ?? '0.0.0',
      versionCode: int.tryParse(json['version_code']?.toString() ?? '0') ?? 0,
      linkUpdate: json['link_update']?.toString() ?? '',
      adminLink: json['admin_link']?.toString() ?? '',
    );
  }
  final String version;
  final int versionCode;
  final String linkUpdate;
  final String adminLink;
}
